_Message:
;InternalRTC.c,56 :: 		void Message (char arg[])
; arg start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R4, R0
; arg end address is: 0 (R0)
; arg start address is: 16 (R4)
;InternalRTC.c,58 :: 		UART2_Write(13);
MOVS	R0, #13
BL	_UART2_Write+0
;InternalRTC.c,59 :: 		UART2_Write(10);
MOVS	R0, #10
BL	_UART2_Write+0
;InternalRTC.c,60 :: 		UART2_Write_Text(arg);
MOV	R0, R4
; arg end address is: 16 (R4)
BL	_UART2_Write_Text+0
;InternalRTC.c,61 :: 		UART2_Write(13);
MOVS	R0, #13
BL	_UART2_Write+0
;InternalRTC.c,62 :: 		UART2_Write(10);
MOVS	R0, #10
BL	_UART2_Write+0
;InternalRTC.c,63 :: 		}
L_end_Message:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Message
_RTC_Init:
;InternalRTC.c,75 :: 		short RTC_Init(unsigned PREDIV_Sync, unsigned short PREDIV_Async, int HR_Format)
SUB	SP, SP, #20
STR	LR, [SP, #0]
STRH	R0, [SP, #8]
STRB	R1, [SP, #12]
STRH	R2, [SP, #16]
;InternalRTC.c,77 :: 		unsigned short   RTC_Wait_ctr = 0;
MOVS	R3, #0
STRB	R3, [SP, #4]
;InternalRTC.c,81 :: 		BDRST_bit = 1;                                                              // Backup domain software reset active.      (RCC Backup domain control register (RCC_BDCR))
MOVS	R4, #1
SXTB	R4, R4
MOVW	R3, #lo_addr(BDRST_bit+0)
MOVT	R3, #hi_addr(BDRST_bit+0)
STR	R4, [R3, #0]
;InternalRTC.c,82 :: 		Delay_ms(1);
MOVW	R7, #55998
MOVT	R7, #0
NOP
NOP
L_RTC_Init0:
SUBS	R7, R7, #1
BNE	L_RTC_Init0
NOP
NOP
NOP
;InternalRTC.c,83 :: 		BDRST_bit = 0;                                                              // Backup domain software reset NOT active.  (RCC Backup domain control register (RCC_BDCR))
MOVS	R4, #0
SXTB	R4, R4
MOVW	R3, #lo_addr(BDRST_bit+0)
MOVT	R3, #hi_addr(BDRST_bit+0)
STR	R4, [R3, #0]
;InternalRTC.c,84 :: 		Delay_ms(1);
MOVW	R7, #55998
MOVT	R7, #0
NOP
NOP
L_RTC_Init2:
SUBS	R7, R7, #1
BNE	L_RTC_Init2
NOP
NOP
NOP
;InternalRTC.c,88 :: 		PWREN_bit = 1;                                                              // PWREN: Power interface clock enable.      (RCC APB1 peripheral clock enable register (RCC_APB1ENR))
MOVS	R6, #1
SXTB	R6, R6
MOVW	R3, #lo_addr(PWREN_bit+0)
MOVT	R3, #hi_addr(PWREN_bit+0)
STR	R6, [R3, #0]
;InternalRTC.c,89 :: 		DBP_bit = 1;                                                                // Access to RTC Backup registers enabled.   (PWR power control register (PWR_CR))
MOVW	R5, #lo_addr(DBP_bit+0)
MOVT	R5, #hi_addr(DBP_bit+0)
STR	R6, [R5, #0]
;InternalRTC.c,90 :: 		RTCSEL1_bit = 0;  RTCSEL0_bit = 1;                                          // RTC Clock MUX select LSE as clock source. (RCC Backup domain control register (RCC_BDCR))
MOVS	R4, #0
SXTB	R4, R4
MOVW	R3, #lo_addr(RTCSEL1_bit+0)
MOVT	R3, #hi_addr(RTCSEL1_bit+0)
STR	R4, [R3, #0]
MOVW	R3, #lo_addr(RTCSEL0_bit+0)
MOVT	R3, #hi_addr(RTCSEL0_bit+0)
STR	R6, [R3, #0]
;InternalRTC.c,91 :: 		LSEBYP_bit = 0;                                                             // LSE oscillator not bypassed.              (RCC Backup domain control register (RCC_BDCR))
MOVW	R3, #lo_addr(LSEBYP_bit+0)
MOVT	R3, #hi_addr(LSEBYP_bit+0)
STR	R4, [R3, #0]
;InternalRTC.c,92 :: 		LSEON_bit = 1;                                                              // External low-speed oscillator enable.     (RCC Backup domain control register (RCC_BDCR))
MOVW	R3, #lo_addr(LSEON_bit+0)
MOVT	R3, #hi_addr(LSEON_bit+0)
STR	R6, [R3, #0]
;InternalRTC.c,93 :: 		RTCEN_bit = 1;                                                              // RTC clock enabled.                        (RCC Backup domain control register (RCC_BDCR))
MOVW	R3, #lo_addr(RTCEN_bit+0)
MOVT	R3, #hi_addr(RTCEN_bit+0)
STR	R6, [R3, #0]
;InternalRTC.c,97 :: 		DBP_bit = 1;                                                                // Access to RTC Backup registers enabled.   (PWR power control register (PWR_CR))
STR	R6, [R5, #0]
;InternalRTC.c,98 :: 		RTC_WPR = 0xCA;
MOVS	R4, #202
MOVW	R3, #lo_addr(RTC_WPR+0)
MOVT	R3, #hi_addr(RTC_WPR+0)
STR	R4, [R3, #0]
;InternalRTC.c,99 :: 		RTC_WPR = 0x53;
MOVS	R4, #83
MOVW	R3, #lo_addr(RTC_WPR+0)
MOVT	R3, #hi_addr(RTC_WPR+0)
STR	R4, [R3, #0]
;InternalRTC.c,102 :: 		while ((LSERDY_bit == 0) && (RTC_Wait_ctr < 150));
L_RTC_Init4:
MOVW	R4, #lo_addr(LSERDY_bit+0)
MOVT	R4, #hi_addr(LSERDY_bit+0)
LDR	R3, [R4, #0]
CMP	R3, #0
IT	NE
BNE	L__RTC_Init67
LDRB	R3, [SP, #4]
CMP	R3, #150
IT	CS
BCS	L__RTC_Init66
L__RTC_Init65:
IT	AL
BAL	L_RTC_Init4
L__RTC_Init67:
L__RTC_Init66:
;InternalRTC.c,104 :: 		delay_us(1);
MOVW	R7, #54
MOVT	R7, #0
NOP
NOP
L_RTC_Init8:
SUBS	R7, R7, #1
BNE	L_RTC_Init8
NOP
NOP
NOP
;InternalRTC.c,108 :: 		if (LSERDY_bit == 0)    Message("LSE Clock not ready.");
MOVW	R4, #lo_addr(LSERDY_bit+0)
MOVT	R4, #hi_addr(LSERDY_bit+0)
LDR	R3, [R4, #0]
CMP	R3, #0
IT	NE
BNE	L_RTC_Init10
MOVW	R3, #lo_addr(?lstr1_InternalRTC+0)
MOVT	R3, #hi_addr(?lstr1_InternalRTC+0)
MOV	R0, R3
BL	_Message+0
L_RTC_Init10:
;InternalRTC.c,111 :: 		RTC_Wait_ctr = 0;
MOVS	R3, #0
STRB	R3, [SP, #4]
;InternalRTC.c,115 :: 		if (INITF_bit == 0)
MOVW	R4, #lo_addr(INITF_bit+0)
MOVT	R4, #hi_addr(INITF_bit+0)
LDR	R3, [R4, #0]
CMP	R3, #0
IT	NE
BNE	L_RTC_Init11
;InternalRTC.c,117 :: 		RTC_ISR.B7 = 1;                                                        //  INIT Enter Initialization mode.                (RTC initialization and status register (RTC_ISR))
MOVS	R4, #1
SXTB	R4, R4
MOVW	R3, #lo_addr(RTC_ISR+0)
MOVT	R3, #hi_addr(RTC_ISR+0)
STR	R4, [R3, #0]
;InternalRTC.c,118 :: 		while ((INITF_bit == 0) && (RTC_Wait_ctr < 8))                         //  Poll INITF bit of in the RTC_ISR register. The initialization
L_RTC_Init12:
MOVW	R4, #lo_addr(INITF_bit+0)
MOVT	R4, #hi_addr(INITF_bit+0)
LDR	R3, [R4, #0]
CMP	R3, #0
IT	NE
BNE	L__RTC_Init69
LDRB	R3, [SP, #4]
CMP	R3, #8
IT	CS
BCS	L__RTC_Init68
L__RTC_Init64:
;InternalRTC.c,120 :: 		delay_us(10);                                                      //  to 2 RTCCLK clock cycles (due to clocks synchronization).
MOVW	R7, #558
MOVT	R7, #0
NOP
NOP
L_RTC_Init16:
SUBS	R7, R7, #1
BNE	L_RTC_Init16
NOP
NOP
NOP
;InternalRTC.c,121 :: 		RTC_Wait_ctr++;                                                    //  RTCCLK = 32768 Hz  --> approx 60us delay
LDRB	R3, [SP, #4]
ADDS	R3, R3, #1
STRB	R3, [SP, #4]
;InternalRTC.c,122 :: 		}                                                                      //  We shall wait 80 us just to make sure ;)
IT	AL
BAL	L_RTC_Init12
;InternalRTC.c,118 :: 		while ((INITF_bit == 0) && (RTC_Wait_ctr < 8))                         //  Poll INITF bit of in the RTC_ISR register. The initialization
L__RTC_Init69:
L__RTC_Init68:
;InternalRTC.c,124 :: 		if (INITF_bit == 0)
MOVW	R4, #lo_addr(INITF_bit+0)
MOVT	R4, #hi_addr(INITF_bit+0)
LDR	R3, [R4, #0]
CMP	R3, #0
IT	NE
BNE	L_RTC_Init18
;InternalRTC.c,126 :: 		Message("Failed to enter INIT mode.");
MOVW	R3, #lo_addr(?lstr2_InternalRTC+0)
MOVT	R3, #hi_addr(?lstr2_InternalRTC+0)
MOV	R0, R3
BL	_Message+0
;InternalRTC.c,127 :: 		RTC_ISR.B7 = 0;                                                    // INIT Exit Initialization mode.                (RTC initialization and status register (RTC_ISR))
MOVS	R4, #0
SXTB	R4, R4
MOVW	R3, #lo_addr(RTC_ISR+0)
MOVT	R3, #hi_addr(RTC_ISR+0)
STR	R4, [R3, #0]
;InternalRTC.c,128 :: 		RTC_WPR = 0xFF;                                                    // Enable the write protection for RTC registers
MOVS	R4, #255
MOVW	R3, #lo_addr(RTC_WPR+0)
MOVT	R3, #hi_addr(RTC_WPR+0)
STR	R4, [R3, #0]
;InternalRTC.c,129 :: 		return 0;                                                          // Failed to update RTC registers
MOVS	R0, #0
SXTB	R0, R0
IT	AL
BAL	L_end_RTC_Init
;InternalRTC.c,130 :: 		}
L_RTC_Init18:
;InternalRTC.c,131 :: 		}
L_RTC_Init11:
;InternalRTC.c,134 :: 		RTC_PRERbits.PREDIV_S = PREDIV_Sync;
LDRH	R5, [SP, #8]
MOVW	R4, #lo_addr(RTC_PRERbits+0)
MOVT	R4, #hi_addr(RTC_PRERbits+0)
LDRH	R3, [R4, #0]
BFI	R3, R5, #0, #15
STRH	R3, [R4, #0]
;InternalRTC.c,135 :: 		RTC_PRERbits.PREDIV_A = PREDIV_Async;
LDRB	R5, [SP, #12]
MOVW	R4, #lo_addr(RTC_PRERbits+0)
MOVT	R4, #hi_addr(RTC_PRERbits+0)
LDR	R3, [R4, #0]
BFI	R3, R5, #16, #7
STR	R3, [R4, #0]
;InternalRTC.c,138 :: 		FMT_bit = HR_Format;
LDRSH	R4, [SP, #16]
MOVW	R3, #lo_addr(FMT_bit+0)
MOVT	R3, #hi_addr(FMT_bit+0)
STR	R4, [R3, #0]
;InternalRTC.c,141 :: 		RTC_ISR.B7 = 0;                                                             //     0: Free running mode
MOVS	R4, #0
SXTB	R4, R4
MOVW	R3, #lo_addr(RTC_ISR+0)
MOVT	R3, #hi_addr(RTC_ISR+0)
STR	R4, [R3, #0]
;InternalRTC.c,146 :: 		RTC_WPR = 0xFF;
MOVS	R4, #255
MOVW	R3, #lo_addr(RTC_WPR+0)
MOVT	R3, #hi_addr(RTC_WPR+0)
STR	R4, [R3, #0]
;InternalRTC.c,148 :: 		return 1;
MOVS	R0, #1
SXTB	R0, R0
;InternalRTC.c,149 :: 		}
L_end_RTC_Init:
LDR	LR, [SP, #0]
ADD	SP, SP, #20
BX	LR
; end of _RTC_Init
_RTC_SetTime:
;InternalRTC.c,159 :: 		short RTC_SetTime(RTC_TimeTypeDef *RTC_TimeStruct)
; RTC_TimeStruct start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
MOV	R3, R0
; RTC_TimeStruct end address is: 0 (R0)
; RTC_TimeStruct start address is: 12 (R3)
;InternalRTC.c,162 :: 		unsigned short       RTC_Wait_ctr             = 0;
; RTC_Wait_ctr start address is: 0 (R0)
MOVS	R0, #0
;InternalRTC.c,163 :: 		unsigned long        Temp_Time_Reg            = 0;
;InternalRTC.c,171 :: 		((unsigned long) (RTC_TimeStruct->RTC_Sec_Units)));
ADDS	R1, R3, #6
LDRB	R1, [R1, #0]
UXTB	R7, R1
LSLS	R7, R7, #22
LDRB	R1, [R3, #0]
LSLS	R1, R1, #20
ORRS	R7, R1
ADDS	R1, R3, #1
LDRB	R1, [R1, #0]
LSLS	R1, R1, #16
ORRS	R7, R1
ADDS	R1, R3, #2
LDRB	R1, [R1, #0]
LSLS	R1, R1, #12
ORRS	R7, R1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
LSLS	R1, R1, #8
ORRS	R7, R1
ADDS	R1, R3, #4
LDRB	R1, [R1, #0]
LSLS	R1, R1, #4
ORRS	R7, R1
ADDS	R1, R3, #5
; RTC_TimeStruct end address is: 12 (R3)
LDRB	R1, [R1, #0]
ORRS	R7, R1
; Temp_Time_Reg start address is: 28 (R7)
;InternalRTC.c,175 :: 		RTC_WPR = 0xCA;
MOVS	R2, #202
MOVW	R1, #lo_addr(RTC_WPR+0)
MOVT	R1, #hi_addr(RTC_WPR+0)
STR	R2, [R1, #0]
;InternalRTC.c,176 :: 		RTC_WPR = 0x53;
MOVS	R2, #83
MOVW	R1, #lo_addr(RTC_WPR+0)
MOVT	R1, #hi_addr(RTC_WPR+0)
STR	R2, [R1, #0]
;InternalRTC.c,177 :: 		DBP_bit = 1;                                                                // Access to RTC Backup registers enabled.   (PWR power control register (PWR_CR))
MOVS	R2, #1
SXTB	R2, R2
MOVW	R1, #lo_addr(DBP_bit+0)
MOVT	R1, #hi_addr(DBP_bit+0)
STR	R2, [R1, #0]
;InternalRTC.c,180 :: 		if (INITF_bit == 0)   {
MOVW	R2, #lo_addr(INITF_bit+0)
MOVT	R2, #hi_addr(INITF_bit+0)
LDR	R1, [R2, #0]
CMP	R1, #0
IT	NE
BNE	L__RTC_SetTime73
;InternalRTC.c,182 :: 		RTC_ISR.B7 = 1;                                                        // INIT Enter Initialization mode.           (RTC initialization and status register (RTC_ISR))
MOVS	R2, #1
SXTB	R2, R2
MOVW	R1, #lo_addr(RTC_ISR+0)
MOVT	R1, #hi_addr(RTC_ISR+0)
STR	R2, [R1, #0]
; Temp_Time_Reg end address is: 28 (R7)
; RTC_Wait_ctr end address is: 0 (R0)
;InternalRTC.c,184 :: 		while ((INITF_bit == 0) && (RTC_Wait_ctr < 8))                         //  Poll INITF bit of in the RTC_ISR register. The initialization
L_RTC_SetTime20:
; Temp_Time_Reg start address is: 28 (R7)
; RTC_Wait_ctr start address is: 0 (R0)
MOVW	R2, #lo_addr(INITF_bit+0)
MOVT	R2, #hi_addr(INITF_bit+0)
LDR	R1, [R2, #0]
CMP	R1, #0
IT	NE
BNE	L__RTC_SetTime72
CMP	R0, #8
IT	CS
BCS	L__RTC_SetTime71
L__RTC_SetTime70:
;InternalRTC.c,186 :: 		delay_us(10);                                                      //  to 2 RTCCLK clock cycles (due to clocks synchronization).
STR	R7, [SP, #4]
MOVW	R7, #558
MOVT	R7, #0
NOP
NOP
L_RTC_SetTime24:
SUBS	R7, R7, #1
BNE	L_RTC_SetTime24
NOP
NOP
NOP
LDR	R7, [SP, #4]
;InternalRTC.c,187 :: 		RTC_Wait_ctr++;                                                    //  RTCCLK = 32768 Hz  --> approx 60us delay
ADDS	R0, R0, #1
UXTB	R0, R0
;InternalRTC.c,188 :: 		}                                                                      //  We shall wait 80 us just to make sure ;)
; RTC_Wait_ctr end address is: 0 (R0)
IT	AL
BAL	L_RTC_SetTime20
;InternalRTC.c,184 :: 		while ((INITF_bit == 0) && (RTC_Wait_ctr < 8))                         //  Poll INITF bit of in the RTC_ISR register. The initialization
L__RTC_SetTime72:
L__RTC_SetTime71:
;InternalRTC.c,190 :: 		if (INITF_bit == 0)
MOVW	R2, #lo_addr(INITF_bit+0)
MOVT	R2, #hi_addr(INITF_bit+0)
LDR	R1, [R2, #0]
CMP	R1, #0
IT	NE
BNE	L_RTC_SetTime26
;InternalRTC.c,192 :: 		Message("Failed to enter INIT mode.");
MOVW	R1, #lo_addr(?lstr3_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr3_InternalRTC+0)
MOV	R0, R1
BL	_Message+0
;InternalRTC.c,193 :: 		Func_Status = 0;                                                   // Failed to update RTC registers
MOVS	R1, #0
SXTB	R1, R1
STRB	R1, [SP, #8]
;InternalRTC.c,194 :: 		}
L_RTC_SetTime26:
;InternalRTC.c,195 :: 		}
MOV	R0, R7
; Temp_Time_Reg end address is: 28 (R7)
IT	AL
BAL	L_RTC_SetTime19
L__RTC_SetTime73:
;InternalRTC.c,180 :: 		if (INITF_bit == 0)   {
MOV	R0, R7
;InternalRTC.c,195 :: 		}
L_RTC_SetTime19:
;InternalRTC.c,196 :: 		RTC_Wait_ctr = 0;   // Clear counter
; Temp_Time_Reg start address is: 0 (R0)
;InternalRTC.c,199 :: 		RTC_TR = Temp_Time_Reg;
MOVW	R1, #lo_addr(RTC_TR+0)
MOVT	R1, #hi_addr(RTC_TR+0)
STR	R0, [R1, #0]
; Temp_Time_Reg end address is: 0 (R0)
;InternalRTC.c,202 :: 		RTC_ISR.B7 = 0;                                                             //     0: Free running mode
MOVS	R2, #0
SXTB	R2, R2
MOVW	R1, #lo_addr(RTC_ISR+0)
MOVT	R1, #hi_addr(RTC_ISR+0)
STR	R2, [R1, #0]
;InternalRTC.c,207 :: 		RTC_WPR = 0xFF;
MOVS	R2, #255
MOVW	R1, #lo_addr(RTC_WPR+0)
MOVT	R1, #hi_addr(RTC_WPR+0)
STR	R2, [R1, #0]
;InternalRTC.c,209 :: 		return Func_Status;
LDRSB	R0, [SP, #8]
;InternalRTC.c,210 :: 		}
L_end_RTC_SetTime:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _RTC_SetTime
_RTC_SetDate:
;InternalRTC.c,219 :: 		short RTC_SetDate(RTC_DateTypeDef *RTC_DateStruct)
; RTC_DateStruct start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
MOV	R3, R0
; RTC_DateStruct end address is: 0 (R0)
; RTC_DateStruct start address is: 12 (R3)
;InternalRTC.c,222 :: 		unsigned short       RTC_Wait_ctr             = 0;
; RTC_Wait_ctr start address is: 0 (R0)
MOVS	R0, #0
;InternalRTC.c,223 :: 		unsigned long        Temp_Date_Reg            = 0;
;InternalRTC.c,231 :: 		((unsigned long) (RTC_DateStruct->RTC_Date_Units)));
ADDS	R1, R3, #5
LDRB	R1, [R1, #0]
UXTB	R7, R1
LSLS	R7, R7, #20
ADDS	R1, R3, #6
LDRB	R1, [R1, #0]
LSLS	R1, R1, #16
ORRS	R7, R1
LDRB	R1, [R3, #0]
LSLS	R1, R1, #13
ORRS	R7, R1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
LSLS	R1, R1, #12
ORRS	R7, R1
ADDS	R1, R3, #4
LDRB	R1, [R1, #0]
LSLS	R1, R1, #8
ORRS	R7, R1
ADDS	R1, R3, #1
LDRB	R1, [R1, #0]
LSLS	R1, R1, #4
ORRS	R7, R1
ADDS	R1, R3, #2
; RTC_DateStruct end address is: 12 (R3)
LDRB	R1, [R1, #0]
ORRS	R7, R1
;InternalRTC.c,233 :: 		Temp_Date_Reg = Temp_Date_Reg & 0x00FFFFFF;                                 // Ensure top 8 bits are set to 0.
MVN	R1, #-16777216
ANDS	R7, R1
; Temp_Date_Reg start address is: 28 (R7)
;InternalRTC.c,236 :: 		RTC_WPR = 0xCA;
MOVS	R2, #202
MOVW	R1, #lo_addr(RTC_WPR+0)
MOVT	R1, #hi_addr(RTC_WPR+0)
STR	R2, [R1, #0]
;InternalRTC.c,237 :: 		RTC_WPR = 0x53;
MOVS	R2, #83
MOVW	R1, #lo_addr(RTC_WPR+0)
MOVT	R1, #hi_addr(RTC_WPR+0)
STR	R2, [R1, #0]
;InternalRTC.c,238 :: 		DBP_bit = 1;                                                                // Access to RTC Backup registers enabled.   (PWR power control register (PWR_CR))
MOVS	R2, #1
SXTB	R2, R2
MOVW	R1, #lo_addr(DBP_bit+0)
MOVT	R1, #hi_addr(DBP_bit+0)
STR	R2, [R1, #0]
;InternalRTC.c,241 :: 		if (INITF_bit == 0)   {
MOVW	R2, #lo_addr(INITF_bit+0)
MOVT	R2, #hi_addr(INITF_bit+0)
LDR	R1, [R2, #0]
CMP	R1, #0
IT	NE
BNE	L__RTC_SetDate77
;InternalRTC.c,243 :: 		RTC_ISR.B7 = 1;                                                        // INIT Enter Initialization mode.           (RTC initialization and status register (RTC_ISR))
MOVS	R2, #1
SXTB	R2, R2
MOVW	R1, #lo_addr(RTC_ISR+0)
MOVT	R1, #hi_addr(RTC_ISR+0)
STR	R2, [R1, #0]
; Temp_Date_Reg end address is: 28 (R7)
; RTC_Wait_ctr end address is: 0 (R0)
;InternalRTC.c,245 :: 		while ((INITF_bit == 0) && (RTC_Wait_ctr < 8))                         //  Poll INITF bit of in the RTC_ISR register. The initialization
L_RTC_SetDate28:
; Temp_Date_Reg start address is: 28 (R7)
; RTC_Wait_ctr start address is: 0 (R0)
MOVW	R2, #lo_addr(INITF_bit+0)
MOVT	R2, #hi_addr(INITF_bit+0)
LDR	R1, [R2, #0]
CMP	R1, #0
IT	NE
BNE	L__RTC_SetDate76
CMP	R0, #8
IT	CS
BCS	L__RTC_SetDate75
L__RTC_SetDate74:
;InternalRTC.c,247 :: 		delay_us(10);                                                      //  to 2 RTCCLK clock cycles (due to clocks synchronization).
STR	R7, [SP, #4]
MOVW	R7, #558
MOVT	R7, #0
NOP
NOP
L_RTC_SetDate32:
SUBS	R7, R7, #1
BNE	L_RTC_SetDate32
NOP
NOP
NOP
LDR	R7, [SP, #4]
;InternalRTC.c,248 :: 		RTC_Wait_ctr++;                                                    //  RTCCLK = 32768 Hz  --> approx 60us delay
ADDS	R0, R0, #1
UXTB	R0, R0
;InternalRTC.c,249 :: 		}                                                                      //  We shall wait 80 us just to make sure ;)
; RTC_Wait_ctr end address is: 0 (R0)
IT	AL
BAL	L_RTC_SetDate28
;InternalRTC.c,245 :: 		while ((INITF_bit == 0) && (RTC_Wait_ctr < 8))                         //  Poll INITF bit of in the RTC_ISR register. The initialization
L__RTC_SetDate76:
L__RTC_SetDate75:
;InternalRTC.c,251 :: 		if (INITF_bit == 0)
MOVW	R2, #lo_addr(INITF_bit+0)
MOVT	R2, #hi_addr(INITF_bit+0)
LDR	R1, [R2, #0]
CMP	R1, #0
IT	NE
BNE	L_RTC_SetDate34
;InternalRTC.c,253 :: 		Message("Failed to enter INIT mode.");
MOVW	R1, #lo_addr(?lstr4_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr4_InternalRTC+0)
MOV	R0, R1
BL	_Message+0
;InternalRTC.c,255 :: 		}
L_RTC_SetDate34:
;InternalRTC.c,256 :: 		}
MOV	R0, R7
IT	AL
BAL	L_RTC_SetDate27
; Temp_Date_Reg end address is: 28 (R7)
L__RTC_SetDate77:
;InternalRTC.c,241 :: 		if (INITF_bit == 0)   {
MOV	R0, R7
;InternalRTC.c,256 :: 		}
L_RTC_SetDate27:
;InternalRTC.c,257 :: 		RTC_Wait_ctr = 0;   // Clear counter
; Temp_Date_Reg start address is: 0 (R0)
;InternalRTC.c,260 :: 		RTC_DR = Temp_Date_Reg;
MOVW	R1, #lo_addr(RTC_DR+0)
MOVT	R1, #hi_addr(RTC_DR+0)
STR	R0, [R1, #0]
; Temp_Date_Reg end address is: 0 (R0)
;InternalRTC.c,263 :: 		RTC_ISR.B7 = 0;                                                             //     0: Free running mode
MOVS	R2, #0
SXTB	R2, R2
MOVW	R1, #lo_addr(RTC_ISR+0)
MOVT	R1, #hi_addr(RTC_ISR+0)
STR	R2, [R1, #0]
;InternalRTC.c,268 :: 		RTC_WPR = 0xFF;
MOVS	R2, #255
MOVW	R1, #lo_addr(RTC_WPR+0)
MOVT	R1, #hi_addr(RTC_WPR+0)
STR	R2, [R1, #0]
;InternalRTC.c,270 :: 		}
L_end_RTC_SetDate:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _RTC_SetDate
_RTC_GetSubSeconds:
;InternalRTC.c,280 :: 		unsigned RTC_GetSubSeconds(void)
;InternalRTC.c,285 :: 		Temp_RTC_SSR = RTC_SSR;
MOVW	R0, #lo_addr(RTC_SSR+0)
MOVT	R0, #hi_addr(RTC_SSR+0)
; Temp_RTC_SSR start address is: 4 (R1)
LDR	R1, [R0, #0]
;InternalRTC.c,286 :: 		Temp_RTC_SSR = Temp_RTC_SSR & 0x0000FFFF;
MOVW	R0, #65535
AND	R0, R1, R0, LSL #0
; Temp_RTC_SSR end address is: 4 (R1)
;InternalRTC.c,287 :: 		Temp_float = 1000 * ((float) Temp_RTC_SSR) / ((float) RTC_PRERbits.PREDIV_S);
VMOV	S1, R0
VCVT.F32	#0, S1, S1
MOVW	R0, #0
MOVT	R0, #17530
VMOV	S0, R0
VMUL.F32	S1, S0, S1
MOVW	R0, #lo_addr(RTC_PRERbits+0)
MOVT	R0, #hi_addr(RTC_PRERbits+0)
LDRH	R0, [R0, #0]
UBFX	R0, R0, #0, #15
VMOV	S0, R0
VCVT.F32	#0, S0, S0
VDIV.F32	S0, S1, S0
;InternalRTC.c,292 :: 		return (unsigned) Temp_float;
VCVT	#1, .F32, S0, S0
VMOV	R0, S0
UXTH	R0, R0
;InternalRTC.c,293 :: 		}
L_end_RTC_GetSubSeconds:
BX	LR
; end of _RTC_GetSubSeconds
_RTC_GetTime:
;InternalRTC.c,301 :: 		void RTC_GetTime(RTC_TimeTypeDef *RTC_TimeStruct)
; RTC_TimeStruct start address is: 0 (R0)
; RTC_TimeStruct end address is: 0 (R0)
; RTC_TimeStruct start address is: 0 (R0)
;InternalRTC.c,304 :: 		RTC_TimeStruct->RTC_H12         =  (unsigned short) RTC_TRbits.PM;
ADDS	R3, R0, #6
MOVW	R2, #lo_addr(RTC_TRbits+0)
MOVT	R2, #hi_addr(RTC_TRbits+0)
LDR	R1, [R2, #0]
STRB	R1, [R3, #0]
;InternalRTC.c,305 :: 		RTC_TimeStruct->RTC_Hour_Tens   =  (unsigned short) RTC_TRbits.HT;
MOVW	R1, #lo_addr(RTC_TRbits+0)
MOVT	R1, #hi_addr(RTC_TRbits+0)
LDR	R1, [R1, #0]
UBFX	R1, R1, #20, #2
UXTB	R1, R1
STRB	R1, [R0, #0]
;InternalRTC.c,306 :: 		RTC_TimeStruct->RTC_Hour_Units  =  (unsigned short) RTC_TRbits.HU;
ADDS	R2, R0, #1
MOVW	R1, #lo_addr(RTC_TRbits+0)
MOVT	R1, #hi_addr(RTC_TRbits+0)
LDR	R1, [R1, #0]
UBFX	R1, R1, #16, #4
UXTB	R1, R1
STRB	R1, [R2, #0]
;InternalRTC.c,307 :: 		RTC_TimeStruct->RTC_Min_Tens    =  (unsigned short) RTC_TRbits.MNT;
ADDS	R2, R0, #2
MOVW	R1, #lo_addr(RTC_TRbits+0)
MOVT	R1, #hi_addr(RTC_TRbits+0)
LDRH	R1, [R1, #0]
UBFX	R1, R1, #12, #3
UXTB	R1, R1
STRB	R1, [R2, #0]
;InternalRTC.c,308 :: 		RTC_TimeStruct->RTC_Min_Units   =  (unsigned short) RTC_TRbits.MNU;
ADDS	R2, R0, #3
MOVW	R1, #lo_addr(RTC_TRbits+0)
MOVT	R1, #hi_addr(RTC_TRbits+0)
LDRH	R1, [R1, #0]
UBFX	R1, R1, #8, #4
UXTB	R1, R1
STRB	R1, [R2, #0]
;InternalRTC.c,309 :: 		RTC_TimeStruct->RTC_Sec_Tens    =  (unsigned short) RTC_TRbits.ST;
ADDS	R2, R0, #4
MOVW	R1, #lo_addr(RTC_TRbits+0)
MOVT	R1, #hi_addr(RTC_TRbits+0)
LDRB	R1, [R1, #0]
UBFX	R1, R1, #4, #3
STRB	R1, [R2, #0]
;InternalRTC.c,310 :: 		RTC_TimeStruct->RTC_Sec_Units   =  (unsigned short) RTC_TRbits.SU;
ADDS	R2, R0, #5
; RTC_TimeStruct end address is: 0 (R0)
MOVW	R1, #lo_addr(RTC_TRbits+0)
MOVT	R1, #hi_addr(RTC_TRbits+0)
LDRB	R1, [R1, #0]
UBFX	R1, R1, #0, #4
STRB	R1, [R2, #0]
;InternalRTC.c,311 :: 		}
L_end_RTC_GetTime:
BX	LR
; end of _RTC_GetTime
_RTC_GetDate:
;InternalRTC.c,320 :: 		void RTC_GetDate(RTC_DateTypeDef *RTC_DateStruct)
; RTC_DateStruct start address is: 0 (R0)
; RTC_DateStruct end address is: 0 (R0)
; RTC_DateStruct start address is: 0 (R0)
;InternalRTC.c,323 :: 		RTC_DateStruct->RTC_DayofWeek     =  (unsigned short) RTC_DRbits.WDU;
MOVW	R1, #lo_addr(RTC_DRbits+0)
MOVT	R1, #hi_addr(RTC_DRbits+0)
LDRH	R1, [R1, #0]
UBFX	R1, R1, #13, #3
UXTB	R1, R1
STRB	R1, [R0, #0]
;InternalRTC.c,324 :: 		RTC_DateStruct->RTC_Date_Tens     =  (unsigned short) RTC_DRbits.DT;
ADDS	R2, R0, #1
MOVW	R1, #lo_addr(RTC_DRbits+0)
MOVT	R1, #hi_addr(RTC_DRbits+0)
LDRB	R1, [R1, #0]
UBFX	R1, R1, #4, #2
STRB	R1, [R2, #0]
;InternalRTC.c,325 :: 		RTC_DateStruct->RTC_Date_Units    =  (unsigned short) RTC_DRbits.DU;
ADDS	R2, R0, #2
MOVW	R1, #lo_addr(RTC_DRbits+0)
MOVT	R1, #hi_addr(RTC_DRbits+0)
LDRB	R1, [R1, #0]
UBFX	R1, R1, #0, #4
STRB	R1, [R2, #0]
;InternalRTC.c,326 :: 		RTC_DateStruct->RTC_Month_Tens    =  (unsigned short) RTC_DRbits.MT;
ADDS	R3, R0, #3
MOVW	R2, #lo_addr(RTC_DRbits+0)
MOVT	R2, #hi_addr(RTC_DRbits+0)
LDR	R1, [R2, #0]
STRB	R1, [R3, #0]
;InternalRTC.c,327 :: 		RTC_DateStruct->RTC_Month_Units   =  (unsigned short) RTC_DRbits.MU;
ADDS	R2, R0, #4
MOVW	R1, #lo_addr(RTC_DRbits+0)
MOVT	R1, #hi_addr(RTC_DRbits+0)
LDRH	R1, [R1, #0]
UBFX	R1, R1, #8, #4
UXTB	R1, R1
STRB	R1, [R2, #0]
;InternalRTC.c,328 :: 		RTC_DateStruct->RTC_Year_Tens     =  (unsigned short) RTC_DRbits.YT;
ADDS	R2, R0, #5
MOVW	R1, #lo_addr(RTC_DRbits+0)
MOVT	R1, #hi_addr(RTC_DRbits+0)
LDR	R1, [R1, #0]
UBFX	R1, R1, #20, #4
UXTB	R1, R1
STRB	R1, [R2, #0]
;InternalRTC.c,329 :: 		RTC_DateStruct->RTC_Year_Units    =  (unsigned short) RTC_DRbits.YU;
ADDS	R2, R0, #6
; RTC_DateStruct end address is: 0 (R0)
MOVW	R1, #lo_addr(RTC_DRbits+0)
MOVT	R1, #hi_addr(RTC_DRbits+0)
LDR	R1, [R1, #0]
UBFX	R1, R1, #16, #4
UXTB	R1, R1
STRB	R1, [R2, #0]
;InternalRTC.c,330 :: 		}
L_end_RTC_GetDate:
BX	LR
; end of _RTC_GetDate
_RTC_PrintTime:
;InternalRTC.c,339 :: 		void RTC_PrintTime(RTC_TimeTypeDef *RTC_TimeStruct)
; RTC_TimeStruct start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
MOV	R7, R0
; RTC_TimeStruct end address is: 0 (R0)
; RTC_TimeStruct start address is: 28 (R7)
;InternalRTC.c,343 :: 		UART2_Write(13);
MOVS	R0, #13
BL	_UART2_Write+0
;InternalRTC.c,344 :: 		UART2_Write(10);
MOVS	R0, #10
BL	_UART2_Write+0
;InternalRTC.c,345 :: 		ByteToStr(RTC_TimeStruct->RTC_Hour_Tens, txt);
ADD	R2, SP, #4
STR	R2, [SP, #8]
LDRB	R1, [R7, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,346 :: 		UART2_Write_Text(txt);
ADD	R1, SP, #4
MOV	R0, R1
BL	_UART2_Write_Text+0
;InternalRTC.c,347 :: 		ByteToStr(RTC_TimeStruct->RTC_Hour_Units, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #1
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,348 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,349 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,350 :: 		UART2_Write_Text(":");
MOVW	R1, #lo_addr(?lstr5_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr5_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
;InternalRTC.c,351 :: 		ByteToStr(RTC_TimeStruct->RTC_Min_Tens, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #2
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,352 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,353 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,354 :: 		ByteToStr(RTC_TimeStruct->RTC_Min_Units, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #3
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,355 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,356 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,357 :: 		UART2_Write_Text(":");
MOVW	R1, #lo_addr(?lstr6_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr6_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
;InternalRTC.c,358 :: 		ByteToStr(RTC_TimeStruct->RTC_Sec_Tens, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #4
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,359 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,360 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,361 :: 		ByteToStr(RTC_TimeStruct->RTC_Sec_Units, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #5
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,362 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,363 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,365 :: 		if (RTC_TimeStruct->RTC_H12)
ADDS	R1, R7, #6
; RTC_TimeStruct end address is: 28 (R7)
LDRB	R1, [R1, #0]
CMP	R1, #0
IT	EQ
BEQ	L_RTC_PrintTime35
;InternalRTC.c,366 :: 		UART2_Write_Text(" pm");
MOVW	R1, #lo_addr(?lstr7_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr7_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
IT	AL
BAL	L_RTC_PrintTime36
L_RTC_PrintTime35:
;InternalRTC.c,368 :: 		UART2_Write_Text(" am");
MOVW	R1, #lo_addr(?lstr8_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr8_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
L_RTC_PrintTime36:
;InternalRTC.c,370 :: 		UART2_Write(13);
MOVS	R0, #13
BL	_UART2_Write+0
;InternalRTC.c,371 :: 		UART2_Write(10);
MOVS	R0, #10
BL	_UART2_Write+0
;InternalRTC.c,372 :: 		}
L_end_RTC_PrintTime:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _RTC_PrintTime
_RTC_PrintDate:
;InternalRTC.c,381 :: 		void RTC_PrintDate(RTC_DateTypeDef *RTC_DateStruct)
; RTC_DateStruct start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
MOV	R7, R0
; RTC_DateStruct end address is: 0 (R0)
; RTC_DateStruct start address is: 28 (R7)
;InternalRTC.c,386 :: 		Temp_Day = RTC_DateStruct->RTC_DayofWeek;
LDRB	R1, [R7, #0]
; Temp_Day start address is: 16 (R4)
UXTB	R4, R1
;InternalRTC.c,388 :: 		UART2_Write(13);
MOVS	R0, #13
BL	_UART2_Write+0
;InternalRTC.c,389 :: 		UART2_Write(10);
MOVS	R0, #10
BL	_UART2_Write+0
;InternalRTC.c,391 :: 		switch (Temp_Day)  {
IT	AL
BAL	L_RTC_PrintDate37
; Temp_Day end address is: 16 (R4)
;InternalRTC.c,392 :: 		case 1 : UART2_Write_Text("  Mon");  break;
L_RTC_PrintDate39:
MOVW	R1, #lo_addr(?lstr9_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr9_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
IT	AL
BAL	L_RTC_PrintDate38
;InternalRTC.c,393 :: 		case 2 : UART2_Write_Text("  Tue");  break;
L_RTC_PrintDate40:
MOVW	R1, #lo_addr(?lstr10_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr10_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
IT	AL
BAL	L_RTC_PrintDate38
;InternalRTC.c,394 :: 		case 3 : UART2_Write_Text("  Wed");  break;
L_RTC_PrintDate41:
MOVW	R1, #lo_addr(?lstr11_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr11_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
IT	AL
BAL	L_RTC_PrintDate38
;InternalRTC.c,395 :: 		case 4 : UART2_Write_Text("  Thu");  break;
L_RTC_PrintDate42:
MOVW	R1, #lo_addr(?lstr12_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr12_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
IT	AL
BAL	L_RTC_PrintDate38
;InternalRTC.c,396 :: 		case 5 : UART2_Write_Text("  Fri");  break;
L_RTC_PrintDate43:
MOVW	R1, #lo_addr(?lstr13_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr13_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
IT	AL
BAL	L_RTC_PrintDate38
;InternalRTC.c,397 :: 		case 6 : UART2_Write_Text("  Sat");  break;
L_RTC_PrintDate44:
MOVW	R1, #lo_addr(?lstr14_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr14_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
IT	AL
BAL	L_RTC_PrintDate38
;InternalRTC.c,398 :: 		case 7 : UART2_Write_Text("  Sun");  break;
L_RTC_PrintDate45:
MOVW	R1, #lo_addr(?lstr15_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr15_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
IT	AL
BAL	L_RTC_PrintDate38
;InternalRTC.c,399 :: 		}
L_RTC_PrintDate37:
; Temp_Day start address is: 16 (R4)
CMP	R4, #1
IT	EQ
BEQ	L_RTC_PrintDate39
CMP	R4, #2
IT	EQ
BEQ	L_RTC_PrintDate40
CMP	R4, #3
IT	EQ
BEQ	L_RTC_PrintDate41
CMP	R4, #4
IT	EQ
BEQ	L_RTC_PrintDate42
CMP	R4, #5
IT	EQ
BEQ	L_RTC_PrintDate43
CMP	R4, #6
IT	EQ
BEQ	L_RTC_PrintDate44
CMP	R4, #7
IT	EQ
BEQ	L_RTC_PrintDate45
; Temp_Day end address is: 16 (R4)
L_RTC_PrintDate38:
;InternalRTC.c,401 :: 		ByteToStr(RTC_DateStruct->RTC_Date_Tens, txt);
ADD	R2, SP, #4
STR	R2, [SP, #8]
ADDS	R1, R7, #1
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,402 :: 		UART2_Write_Text(txt);
ADD	R1, SP, #4
MOV	R0, R1
BL	_UART2_Write_Text+0
;InternalRTC.c,403 :: 		ByteToStr(RTC_DateStruct->RTC_Date_Units, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #2
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,404 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,405 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,406 :: 		UART2_Write_Text("/");
MOVW	R1, #lo_addr(?lstr16_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr16_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
;InternalRTC.c,407 :: 		ByteToStr(RTC_DateStruct->RTC_Month_Tens, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #3
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,408 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,409 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,410 :: 		ByteToStr(RTC_DateStruct->RTC_Month_Units, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #4
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,411 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,412 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,413 :: 		UART2_Write_Text("/");
MOVW	R1, #lo_addr(?lstr17_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr17_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
;InternalRTC.c,414 :: 		ByteToStr(RTC_DateStruct->RTC_Year_Tens, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #5
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,415 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,416 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,417 :: 		ByteToStr(RTC_DateStruct->RTC_Year_Units, txt);
ADD	R2, SP, #4
ADDS	R1, R7, #6
; RTC_DateStruct end address is: 28 (R7)
LDRB	R1, [R1, #0]
UXTB	R0, R1
MOV	R1, R2
BL	_ByteToStr+0
;InternalRTC.c,418 :: 		txt[0] = txt[2];    txt[1] = txt[3];
ADD	R2, SP, #4
ADDS	R1, R2, #2
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
LDR	R3, [SP, #8]
ADDS	R2, R3, #1
ADDS	R1, R3, #3
LDRB	R1, [R1, #0]
STRB	R1, [R2, #0]
;InternalRTC.c,419 :: 		UART2_Write_Text(txt);
MOV	R0, R3
BL	_UART2_Write_Text+0
;InternalRTC.c,421 :: 		UART2_Write(13);
MOVS	R0, #13
BL	_UART2_Write+0
;InternalRTC.c,422 :: 		UART2_Write(10);
MOVS	R0, #10
BL	_UART2_Write+0
;InternalRTC.c,423 :: 		}
L_end_RTC_PrintDate:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _RTC_PrintDate
_Print_Sub_Secs:
;InternalRTC.c,432 :: 		void Print_Sub_Secs (unsigned Value)
; Value start address is: 0 (R0)
SUB	SP, SP, #12
STR	LR, [SP, #0]
; Value end address is: 0 (R0)
; Value start address is: 0 (R0)
;InternalRTC.c,435 :: 		WordToStr(Value, txt);
ADD	R1, SP, #4
; Value end address is: 0 (R0)
BL	_WordToStr+0
;InternalRTC.c,436 :: 		UART2_Write(13);
MOVS	R0, #13
BL	_UART2_Write+0
;InternalRTC.c,437 :: 		UART2_Write(10);
MOVS	R0, #10
BL	_UART2_Write+0
;InternalRTC.c,438 :: 		UART2_Write_Text(txt);
ADD	R1, SP, #4
MOV	R0, R1
BL	_UART2_Write_Text+0
;InternalRTC.c,439 :: 		UART2_Write_Text("  ms");
MOVW	R1, #lo_addr(?lstr18_InternalRTC+0)
MOVT	R1, #hi_addr(?lstr18_InternalRTC+0)
MOV	R0, R1
BL	_UART2_Write_Text+0
;InternalRTC.c,440 :: 		UART2_Write(13);
MOVS	R0, #13
BL	_UART2_Write+0
;InternalRTC.c,441 :: 		UART2_Write(10);
MOVS	R0, #10
BL	_UART2_Write+0
;InternalRTC.c,442 :: 		}
L_end_Print_Sub_Secs:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _Print_Sub_Secs
_main:
;InternalRTC.c,448 :: 		void main()
SUB	SP, SP, #40
;InternalRTC.c,458 :: 		GPIO_Set_Pin_Mode(&GPIOC_BASE, _GPIO_PIN_14, _GPIO_CFG_MODE_ALT_FUNCTION);
MOV	R2, #8
MOVW	R1, #14
MOVW	R0, #lo_addr(GPIOC_BASE+0)
MOVT	R0, #hi_addr(GPIOC_BASE+0)
BL	_GPIO_Set_Pin_Mode+0
;InternalRTC.c,459 :: 		GPIO_Set_Pin_Mode(&GPIOC_BASE, _GPIO_PIN_15, _GPIO_CFG_MODE_ALT_FUNCTION);
MOV	R2, #8
MOVW	R1, #15
MOVW	R0, #lo_addr(GPIOC_BASE+0)
MOVT	R0, #hi_addr(GPIOC_BASE+0)
BL	_GPIO_Set_Pin_Mode+0
;InternalRTC.c,464 :: 		GPIO_Alternate_Function_Enable(&_GPIO_MODULE_USART2_PD56);
MOVW	R0, #lo_addr(__GPIO_MODULE_USART2_PD56+0)
MOVT	R0, #hi_addr(__GPIO_MODULE_USART2_PD56+0)
BL	_GPIO_Alternate_Function_Enable+0
;InternalRTC.c,465 :: 		UART2_Init(115200);                                                         // Initialize UART module at 115200 bps
MOV	R0, #115200
BL	_UART2_Init+0
;InternalRTC.c,466 :: 		Delay_ms(200);
MOVW	R7, #58878
MOVT	R7, #170
NOP
NOP
L_main46:
SUBS	R7, R7, #1
BNE	L_main46
NOP
NOP
NOP
;InternalRTC.c,468 :: 		Message("Program Start.");
MOVW	R0, #lo_addr(?lstr19_InternalRTC+0)
MOVT	R0, #hi_addr(?lstr19_InternalRTC+0)
BL	_Message+0
;InternalRTC.c,469 :: 		Delay_ms(2000);
MOVW	R7, #64510
MOVT	R7, #1708
NOP
NOP
L_main48:
SUBS	R7, R7, #1
BNE	L_main48
NOP
NOP
NOP
;InternalRTC.c,473 :: 		My_Date.RTC_DayofWeek     = 2;
MOVS	R0, #2
STRB	R0, [SP, #18]
;InternalRTC.c,474 :: 		My_Date.RTC_Date_Tens     = 3;
MOVS	R0, #3
STRB	R0, [SP, #19]
;InternalRTC.c,475 :: 		My_Date.RTC_Date_Units    = 0;
MOVS	R0, #0
STRB	R0, [SP, #20]
;InternalRTC.c,476 :: 		My_Date.RTC_Month_Tens    = 0;
MOVS	R0, #0
STRB	R0, [SP, #21]
;InternalRTC.c,477 :: 		My_Date.RTC_Month_Units   = 6;
MOVS	R0, #6
STRB	R0, [SP, #22]
;InternalRTC.c,478 :: 		My_Date.RTC_Year_Tens     = 1;
MOVS	R0, #1
STRB	R0, [SP, #23]
;InternalRTC.c,479 :: 		My_Date.RTC_Year_Units    = 5;
MOVS	R0, #5
STRB	R0, [SP, #24]
;InternalRTC.c,483 :: 		My_Time.RTC_Hour_Tens     = 0;
MOVS	R0, #0
STRB	R0, [SP, #4]
;InternalRTC.c,484 :: 		My_Time.RTC_Hour_Units    = 7;
MOVS	R0, #7
STRB	R0, [SP, #5]
;InternalRTC.c,485 :: 		My_Time.RTC_Min_Tens      = 5;
MOVS	R0, #5
STRB	R0, [SP, #6]
;InternalRTC.c,486 :: 		My_Time.RTC_Min_Units     = 8;
MOVS	R0, #8
STRB	R0, [SP, #7]
;InternalRTC.c,487 :: 		My_Time.RTC_Sec_Tens      = 0;
MOVS	R0, #0
STRB	R0, [SP, #8]
;InternalRTC.c,488 :: 		My_Time.RTC_Sec_Units     = 0;
MOVS	R0, #0
STRB	R0, [SP, #9]
;InternalRTC.c,489 :: 		My_Time.RTC_H12           = 1;
MOVS	R0, #1
STRB	R0, [SP, #10]
;InternalRTC.c,492 :: 		if (RTC_Init(1024, 34, 1))                                                  // 32.768 kHz / 1024 / 32 = 1 Hz RTC clock speed.
MOVS	R2, #1
SXTH	R2, R2
MOVS	R1, #34
MOVW	R0, #1024
BL	_RTC_Init+0
CMP	R0, #0
IT	EQ
BEQ	L_main50
;InternalRTC.c,493 :: 		Message("RTC Initialise SUCCESS...");                                  // I don't understand why but the clock appears to go too fast
MOVW	R0, #lo_addr(?lstr20_InternalRTC+0)
MOVT	R0, #hi_addr(?lstr20_InternalRTC+0)
BL	_Message+0
IT	AL
BAL	L_main51
L_main50:
;InternalRTC.c,495 :: 		Message("RTC Initialise FAILED...");
MOVW	R0, #lo_addr(?lstr21_InternalRTC+0)
MOVT	R0, #hi_addr(?lstr21_InternalRTC+0)
BL	_Message+0
L_main51:
;InternalRTC.c,496 :: 		Delay_ms(2000);
MOVW	R7, #64510
MOVT	R7, #1708
NOP
NOP
L_main52:
SUBS	R7, R7, #1
BNE	L_main52
NOP
NOP
NOP
;InternalRTC.c,498 :: 		if (RTC_SetTime(&My_Time))
ADD	R0, SP, #4
BL	_RTC_SetTime+0
CMP	R0, #0
IT	EQ
BEQ	L_main54
;InternalRTC.c,499 :: 		Message("Time Set SUCCESS...");
MOVW	R0, #lo_addr(?lstr22_InternalRTC+0)
MOVT	R0, #hi_addr(?lstr22_InternalRTC+0)
BL	_Message+0
IT	AL
BAL	L_main55
L_main54:
;InternalRTC.c,501 :: 		Message("Time Set FAILED...");
MOVW	R0, #lo_addr(?lstr23_InternalRTC+0)
MOVT	R0, #hi_addr(?lstr23_InternalRTC+0)
BL	_Message+0
L_main55:
;InternalRTC.c,502 :: 		Delay_ms(2000);
MOVW	R7, #64510
MOVT	R7, #1708
NOP
NOP
L_main56:
SUBS	R7, R7, #1
BNE	L_main56
NOP
NOP
NOP
;InternalRTC.c,504 :: 		RTC_SetDate(&My_Date);
ADD	R0, SP, #18
BL	_RTC_SetDate+0
;InternalRTC.c,506 :: 		Temp_Value = RTC_PRERbits.PREDIV_S;
MOVW	R0, #lo_addr(RTC_PRERbits+0)
MOVT	R0, #hi_addr(RTC_PRERbits+0)
LDRH	R0, [R0, #0]
UBFX	R0, R0, #0, #15
; Temp_Value start address is: 4 (R1)
UXTH	R1, R0
;InternalRTC.c,507 :: 		WordToStr(Temp_Value, Temp_txt);
ADD	R0, SP, #32
STRH	R1, [SP, #0]
MOV	R1, R0
LDRH	R0, [SP, #0]
; Temp_Value end address is: 4 (R1)
BL	_WordToStr+0
;InternalRTC.c,508 :: 		Message("PREDIV_S:");
MOVW	R0, #lo_addr(?lstr24_InternalRTC+0)
MOVT	R0, #hi_addr(?lstr24_InternalRTC+0)
BL	_Message+0
;InternalRTC.c,509 :: 		Message(Temp_txt);
ADD	R0, SP, #32
BL	_Message+0
;InternalRTC.c,513 :: 		while(1)
L_main58:
;InternalRTC.c,515 :: 		Print_Sub_Secs( RTC_GetSubSeconds() );
BL	_RTC_GetSubSeconds+0
BL	_Print_Sub_Secs+0
;InternalRTC.c,516 :: 		Delay_ms(10);
MOVW	R7, #35710
MOVT	R7, #8
NOP
NOP
L_main60:
SUBS	R7, R7, #1
BNE	L_main60
NOP
NOP
NOP
;InternalRTC.c,518 :: 		RTC_GetDate(&Read_Date);
ADD	R0, SP, #25
BL	_RTC_GetDate+0
;InternalRTC.c,519 :: 		RTC_PrintDate(&Read_Date);
ADD	R0, SP, #25
BL	_RTC_PrintDate+0
;InternalRTC.c,520 :: 		RTC_GetTime(&Read_Time);
ADD	R0, SP, #11
BL	_RTC_GetTime+0
;InternalRTC.c,521 :: 		RTC_PrintTime(&Read_Time);
ADD	R0, SP, #11
BL	_RTC_PrintTime+0
;InternalRTC.c,523 :: 		Delay_ms(5000);
MOVW	R7, #30206
MOVT	R7, #4272
NOP
NOP
L_main62:
SUBS	R7, R7, #1
BNE	L_main62
NOP
NOP
NOP
;InternalRTC.c,524 :: 		}
IT	AL
BAL	L_main58
;InternalRTC.c,526 :: 		}
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
